Welcome DJI Spark Pilot!
Jump in and join our free Spark community today!
Sign up

Litchi OTG not supported message !

Poletramp

Well-Known Member
Join
Jun 24, 2018
Messages
139
OTG not supported message !

I have had Litchi since August and its worked up to today with no problems . Today i plan a little mission on my PC go outside start my Spark and RC and i get OTG not supported message.So i close it down and start DJIGo 4 and it connects right away with OTG try DJI MOD 2 and it also connects with OTG .So i reboot my Cell phone and give it another go with Litchi and get the same OTG not supported message . I also note that Litchi has updated itself to the latest version . Question is there a way to go back to my previous version ? and is anyone else getting this message with a Spark ?
 

Ron_Dog

Well-Known Member
Join
Mar 23, 2018
Messages
170
Age
70
Loc
Illinois
OTG not supported message !

I have had Litchi since August and its worked up to today with no problems . Today i plan a little mission on my PC go outside start my Spark and RC and i get OTG not supported message.So i close it down and start DJIGo 4 and it connects right away with OTG try DJI MOD 2 and it also connects with OTG .So i reboot my Cell phone and give it another go with Litchi and get the same OTG not supported message . I also note that Litchi has updated itself to the latest version . Question is there a way to go back to my previous version ? and is anyone else getting this message with a Spark ?
I'm not sure about going back a version? Mine is working great, but I fly without a OTG,so I will give it a try and see if I get the same message? Nope! It worked. I did put the iPhone in airplane mode, and shut off the WiFi and BT,but it worked fine. I always get a message that it may not be supported (even with DJI GO4) when I connect the OTG cable to the controller, and iPhone. I just ignore it.IMG_2769.PNG
 
Last edited:

Poletramp

Well-Known Member
Join
Jun 24, 2018
Messages
139
I'm not sure about going back a version? Mine is working great, but I fly without a OTG,so I will give it a try and see if I get the same message? Nope! It worked. I did put the iPhone in airplane mode, and shut off the WiFi and BT,but it worked fine. I always get a message that it may not be supported (even with DJI GO4) when I connect the OTG cable to the controller, and iPhone. I just ignore it.View attachment 7341

Im on Android but i will be giving it a try tomorrow if its nice out. Thanks
 
  • Like
Reactions: Ron_Dog

Crispjon

Active Member
Join
Jan 14, 2018
Messages
43
Loc
UK
Surely Litchi uses the DJI SDK? I flew recently with Drone harmony that explicitly says you use OTG and uses the same SDK if I am right? I had this same message when I then fired up Litchi, which worked then OK on OTG after I ignored the message. I wonder a bit about this Litchi message!
 

DingDangKid

Member
Join
Jul 30, 2018
Messages
16
Age
28
I reached out to Litchi after I bought their app and this is what they told me. I use an Android phone.

"
SEP 05, 2018 | 11:40AM UTC
Litchi replied:
Hi,
The Android DJI SDK (not to be confused with DJI Go) does not currently support OTG connection for Spark. You must use wifi to connect.
We hope DJI will add support soon and then we will too.
Kind Regards,
Litchi
Online help at Help - Litchi
"
 

engel13

New Member
Join
Dec 12, 2018
Messages
1
Age
51
I reached out to Litchi after I bought their app and this is what they told me. I use an Android phone.

"
SEP 05, 2018 | 11:40AM UTC
Litchi replied:
Hi,
The Android DJI SDK (not to be confused with DJI Go) does not currently support OTG connection for Spark. You must use wifi to connect.
We hope DJI will add support soon and then we will too.
Kind Regards,
Litchi
Online help at Help - Litchi
"
I reached out to Litchi after I bought their app and this is what they told me. I use an Android phone.

"
SEP 05, 2018 | 11:40AM UTC
Litchi replied:
Hi,
The Android DJI SDK (not to be confused with DJI Go) does not currently support OTG connection for Spark. You must use wifi to connect.
We hope DJI will add support soon and then we will too.
Kind Regards,
Litchi
Online help at Help - Litchi
"
>>>
Hi there,
I am pretty much a beginner into DJI Spark world...so it looks like Litchi does support the Spark firmware...but only when the controller is connected to the Android phone via WIFI? Are there any upload fron DJI since September 2018? Thanks, Angelo, Italy
 

Pinthenet

Well-Known Member
Join
Mar 27, 2018
Messages
49
Loc
Aargau, Switzerland
Sorry for repeating myself: Litchi & OTG
It would be nice if Litchi released a statement on the forum on this issue as it keeps cropping up. It seems they must now have blocked OTG in the latest app update, even though most people seemed to have no issue with Litchi & OTG. I only found that I couldn't update max alititude using Litchi with OTG.
I assume DJI probably worked round the 'SDK bug' but Litchi (and maybe others) have to stick to the official interfaces.

As far as I remember DJI's last FW update release note stated that OTG is now officially supported on Android.
I checked the apkmirror and there is no older Litchi version
 

New Threads

Forum statistics

Threads
9,530
Messages
79,971
Members
13,637
Latest member
Spiderspark